-- ***********************************************************
-- Script to detect Bonjour.  Needed for USB
-- ***********************************************************
fDebug("\r\n\Detecting if Bonjour is installed and running...");
IsBonjourInstalled = false;
local instances_of_file = 0;
local file_to_check_for = "mdnsresponder.exe"; --have all lowercase

--[[
First check if the Bonjour service is running.  If the service is not running, install Bonjour.
]]--
local tbRunningProcesses = System.EnumerateProcesses();
for j, file_path in pairs(tbRunningProcesses) do
    local file = String.SplitPath(file_path);
    if (String.Lower(file.Filename..file.Extension)) == file_to_check_for then
        IsBonjourInstalled = true;
        fDebug("Bonjour is running.");
        break;
    end
end
if (not IsBonjourInstalled) then
	fDebug("Bonjour was not detected.");
end
return true;