-- ***********************************************************
-- Script to install Bonjour.  Needed for USB
-- uses bContinueInstall global to pass back success or failure
-- ***********************************************************
local pathCommonAppDataFolder = Shell.GetFolder(SHF_APPLICATIONDATA_COMMON);
local pathRootDriverFolder = pathCommonAppDataFolder.."\\Datacard\\XPS Card Printer";
local pathBonjour = pathRootDriverFolder.."\\Bonjour";

fDebug("\r\n\Installing Bonjour from folder "..pathBonjour.."");
if (Is64bit) then
	BonjourInstallResult = MSI.InstallProduct(pathBonjour.."\\bonjour64.msi", "ACTION=INSTALL UILevel=35");
else
	BonjourInstallResult = MSI.InstallProduct(pathBonjour.."\\bonjour.msi", "ACTION=INSTALL UILevel=35");
end

if (BonjourInstallResult) then -- install succeeded
	bContinueInstall = true;
	fDebug("SUCCESS: Bonjour installed.");
else -- install failed
	bContinueInstall = false;
	local nInstallError = Application.GetLastError();
	fDebug("FAIL: Bonjour installation failed.  Error: "..nInstallError);
end
